php portable how to run composer.phar self-update in travis




reinstall composer (2)

I am facing warning statements in my travis builds.

Warning: This development build of composer is over 30 days old. It is recommended to update it by running "/home/travis/.phpenv/versions/5.3.26/bin/composer.phar self-update" to get the latest version.

How do I then run this?

See an e.g. here


inside your travis.yml

make sure you have this section

before_install:
  - php /home/travis/.phpenv/versions/5.3.26/bin/composer.phar self-update

in order to run the self-update properly


It is not such a good idea to hard-code the php path as paths might change when Travis gets update. I suggest simply calling

composer self-update




travis-ci